function gForcesList() {}

gForcesList.prototype.initialize = function(){
	this.labelDiv = $('<div></div>').appendTo(this.rootElement).addClass('labelDiv');
	this.gDiv = $('<div class="gdiv"></div>').appendTo(this.rootElement).addClass('gDiv');
	this.tableG = $('<table><thead><tr><th> <b>G-Forces | Time</b> </th></tr></thead><tbody><tr ></tr></tbody></table>').appendTo(this.rootElement).addClass('gTable');
	this.timeDiv = $('<div></div>').appendTo(this.rootElement).addClass('timeDiv');
//	this.deleteDiv = $('<div></div>').appendTo(this.rootElement).addClass('deleteDiv');
	this.setup(); 

    this.prevTime = 0;
    this.curTime = 0;
    this.min = 0;
//    this.deleteDiv.click(function(){self.clear();});
};

gForcesList.prototype.setup = function(){
	this.pRevious = 0;
	this.tbody = this.tableG.find('tbody');
	this.gForcesComp = (0);
	this.time = 0;
	this.timeSpl = ":"
//    this.deleteDiv.html("Clear Data");
};

gForcesList.prototype.colorScale = function(){
	var scale = [['fenderBender', 0], ['vGood', 10] , ['good', 25] , ['avg', 40],['poor', 60] , ['vPoor', 80] , ['death', 150000000] ];
    this.tbody.find('tr > td:first').each(function(index) {
    var element = $(this);
    var score = parseFloat(element.text());

    for (var i = 0; i < scale.length; i++) {
        if (score <= scale[i][1]) {
          element.addClass(scale[i][0]);
          return;
        }
      }
    });
};


gForcesList.prototype.appendToTableG = function (gdata) {

	this.tbody.find('tr:first').before('<tr style="text-align:right;"> <td style="text-align:right;"> ' + gdata[0] + ' </td> <td style="text-align:center;"> ' + gdata[1] + ' </td></tr> ');
	this.colorScale();
};

gForcesList.prototype.clear = function () {

	this.tbody.find('tr').remove();
};


gForcesList.prototype.update = function (streams) {
	this.time =  new Date().toLocaleTimeString()  ;
	//convert to G
	var gForces = {};
		$.each(streams.sensors, function(index, val) {
			gForces[index] = val / 9.81;
		});
	this.gForcesFull = (Math.sqrt((gForces.gx*gForces.gx)+(gForces.gy*gForces.gy)+(gForces.gz*gForces.gz)));
	this.gForcesRound = ((this.gForcesFull.toFixed(2)));
	this.gForcesComp = (Math.abs(this.gForcesFull.toFixed(2))+5);
	this.labelDiv.html("G-Forces");
    this.gDiv.html(rSet(Math.abs(this.gForcesRound), 6, "0"));
    this.timeDiv.html((this.time));
    if ( this.pRevious > this.gForcesComp ) {
		this.appendToTableG([(Math.abs(this.pRevious).toFixed(2)),  
		new Date().toLocaleTimeString() ]) 
	}

	this.pRevious = (Math.abs(this.gForcesRound));
};
